[PATCH util-modular 1/6] release.sh: check for local changes while in the git root directory
Emil Velikov
emil.l.velikov at gmail.com
Fri Nov 11 15:45:24 UTC 2016
From: Emil Velikov <emil.velikov at collabora.com>
Current approach relies that the builddir will be nested within the git
root directory. While this is true [currently] it's not a wise thing to
do.
We want to check if there are any changes whist we're in the git (root)
directory.
Signed-off-by: Emil Velikov <emil.velikov at collabora.com>
---
release.sh | 16 +++++++---------
1 file changed, 7 insertions(+), 9 deletions(-)
diff --git a/release.sh b/release.sh
index d017eb4..620b5a4 100755
--- a/release.sh
+++ b/release.sh
@@ -313,6 +313,13 @@ process_module() {
return 1
fi
+ # Check for uncommitted/queued changes.
+ check_local_changes
+ if [ $? -ne 0 ]; then
+ return 1
+ fi
+
+
# Change directory to be in the git build directory (could be out-of-source)
# More than one can be found when distcheck has run and failed
configNum=`find . -name config.status -type f | wc -l | sed 's:^ *::'`
@@ -344,15 +351,6 @@ process_module() {
return 1
fi
- # ----- Now in the git module *build* directory ----- #
-
- # Check for uncommitted/queued changes.
- check_local_changes
- if [ $? -ne 0 ]; then
- cd $top_src
- return 1
- fi
-
# Determine what is the current branch and the remote name
current_branch=`git branch | $GREP "\*" | sed -e "s/\* //"`
remote_name=`git config --get branch.$current_branch.remote`
--
2.10.2
More information about the xorg-devel
mailing list